diff --git a/phpgwapi/inc/class.accounts.inc.php b/phpgwapi/inc/class.accounts.inc.php
index 4c13fe2..2853921 100755
--- a/phpgwapi/inc/class.accounts.inc.php
+++ b/phpgwapi/inc/class.accounts.inc.php
@@ -664,7 +664,7 @@
 			return $account_type[$account_id] = accounts_::get_type($account_id);
 		}
 
-		function get_account_name($accountid,&$lid,&$fname,&$lname)
+		function get_account_name($accountid,&$lid,&$fname,&$lname,&$mail)
 		{
 			$this->setup_cache();
 			$account_name = &$this->cache['account_name'];
@@ -677,12 +677,13 @@
 				$lname = $account_name[$account_id]['lname'];
 				return $account_name[$account_id] !== False;
 			}
-			$Ok = accounts_::get_account_name($accountid,$lid,$fname,$lname);
+			$Ok = accounts_::get_account_name($accountid,$lid,$fname,$lname,$mail);
 
 			$account_name[$account_id] = array(
 				'lid' => $lid,
 				'fname' => $fname,
 				'lname' => $lname,
+				'mail' => $mail,
 			);
 			return $Ok;
 		}
diff --git a/phpgwapi/inc/class.accounts_ldap.inc.php b/phpgwapi/inc/class.accounts_ldap.inc.php
index 33ba829..6c1428e 100755
--- a/phpgwapi/inc/class.accounts_ldap.inc.php
+++ b/phpgwapi/inc/class.accounts_ldap.inc.php
@@ -1102,12 +1102,12 @@
 			return $accountid;
 		} /* end auto_add() */
 
-		function get_account_name($account_id,&$lid,&$fname,&$lname)
+		function get_account_name($account_id,&$lid,&$fname,&$lname,&$mail)
 		{
 			$acct_type = $this->get_type($account_id);
 
 			/* jakjr: using justthese with ldap_search */
-			$justthese = array("cn","uid","givenname","sn");
+			$justthese = array("cn","uid","givenname","sn","mail");
 
 			/* search the dn for the given uid */
 			if(($acct_type == 'g') && $this->group_context)
@@ -1133,6 +1133,7 @@
 				$lid   = $GLOBALS['phpgw']->translation->convert($allValues[0]['uid'][0],'utf-8');
 				$fname = $GLOBALS['phpgw']->translation->convert($allValues[0]['givenname'][0],'utf-8');
 				$lname = $GLOBALS['phpgw']->translation->convert($allValues[0]['sn'][0],'utf-8');
+				$mail  = $GLOBALS['phpgw']->translation->convert($allValues[0]['mail'][0],'utf-8');
 			}
 			return !empty($lid);
 		}
diff --git a/phpgwapi/templates/default/js/listUsers.js b/phpgwapi/templates/default/js/listUsers.js
index d7f6c2d..5446557 100755
--- a/phpgwapi/templates/default/js/listUsers.js
+++ b/phpgwapi/templates/default/js/listUsers.js
@@ -200,4 +200,4 @@
 		}
 		selectOpener.options[selectOpener.options.length-1].selected = true;
 		execAction('LOAD');
- 	} 	
\ No newline at end of file
+ 	} 	
diff --git a/phpgwapi/templates/default/listUsers.php b/phpgwapi/templates/default/listUsers.php
index 0df258e..7907563 100755
--- a/phpgwapi/templates/default/listUsers.php
+++ b/phpgwapi/templates/default/listUsers.php
@@ -114,7 +114,7 @@
 	// Monta lista de Grupos e Usuários
 	$users = Array();
 	$groups = Array();
-	$justthese = array("phpgwaccountvisible","uidNumber","cn","phpgwaccounttype","gidnumber");
+	$justthese = array("phpgwaccountvisible","uidNumber","cn","phpgwaccounttype","gidnumber","mail");
 	
 	$typeAccount = 'u';
 	
@@ -134,7 +134,7 @@
 					if ($info[$i]["phpgwaccountvisible"][0] == '-1')
 						continue;
 					if( $info[$i]["phpgwaccounttype"][0] == 'u')
-						$users[$uids=$info[$i]["uidnumber"][0]] = Array('name'	=>	$uids=$info[$i]["cn"][0], 'type'	=>	u );
+						$users[$uids=$info[$i]["uidnumber"][0]] = Array('name'	=>	$uids=$info[$i]["cn"][0] .' ('.$info[$i]["mail"][0].')', 'type'	=>	u );
 					else
 						$groups[$uids=$info[$i]["gidnumber"][0]] = Array('name'	=>	$uids=$info[$i]["cn"][0], 'type'	=>	g ); 
 				}
diff --git a/phpgwapi/templates/default/listUsers.tpl b/phpgwapi/templates/default/listUsers.tpl
index f8b3703..3d1215d 100755
--- a/phpgwapi/templates/default/listUsers.tpl
+++ b/phpgwapi/templates/default/listUsers.tpl
@@ -20,7 +20,7 @@
 				<tr><td colspan="2"><center>{lang_to_Search}:&nbsp;<input type="text" name="search_users"></center></td></tr>
 				<tr>
 				 <td colspan="2">
-				  <select name="user_values" multiple style="width:250px" size="18" id="user_list_in">
+				  <select name="user_values" multiple style="min-width:250px;max-width:400px;" size="18" id="user_list_in">
 				  {options}
 				  </select>					
 				 </td>
diff --git a/preferences/inc/class.uiaclprefs.inc.php b/preferences/inc/class.uiaclprefs.inc.php
index 3c079f2..a8659f9 100755
--- a/preferences/inc/class.uiaclprefs.inc.php
+++ b/preferences/inc/class.uiaclprefs.inc.php
@@ -229,11 +229,13 @@
 			foreach($just_owner_array as $just_owner_array) {
 				$id = $just_owner_array['location'];
 				$rights = $this->acl->get_rights($id,$GLOBALS['phpgw_info']['flags']['currentapp']);
-				$acct->get_account_name($id, $lid, $fname, $lname);
+				$acct->get_account_name($id, $lid, $fname, $lname, $mail);
 				
 				if (($acct->get_type($id) == 'u') && ($owner != $id && $rights)) 
 				{
 					$user_array['name'] = $fname . ' ' . $lname;
+					if (!empty($mail))
+						$user_array['name'] .= ' ('.$mail.')';
 					$this->display_option('u_',$id,$user_array['name'],$is_group);
 					$processed[] = $id;
 				}	
diff --git a/preferences/templates/default/preference_acl.tpl b/preferences/templates/default/preference_acl.tpl
index 4da268e..ff1cf58 100755
--- a/preferences/templates/default/preference_acl.tpl
+++ b/preferences/templates/default/preference_acl.tpl
@@ -16,7 +16,7 @@
 		<td></td>
 		<td>
 			<center>
-				<select id="user_list" name="user_values" style="width:250px" size="10" onChange="javascript:execAction('LOAD')" onClick="javascript:execAction('LOAD')">{row}</select>
+				<select id="user_list" name="user_values" style="min-width:250px;max-width:400px;" size="10" onChange="javascript:execAction('LOAD')" onClick="javascript:execAction('LOAD')">{row}</select>
 			</center>
 		</td>			
 		<td valign = 'top'> 
@@ -62,7 +62,7 @@
  			<input type="hidden" name="processed" value="{processed}">
  		<center>
  			<input type="submit" name="submit" value="{submit_lang}">
-			<input type="button" value="Adicionar" onclick="openListUsers(340,533,'preferences')">
+			<input type="button" value="Adicionar" onclick="openListUsers(420,420,'preferences')">
 			<input type="button" value="Remover" onclick="javascript:remUserAcl()">
 			<input type="button" value="Cancelar" onclick="javascript:history.back()">
  		</center>
